REM Command file to create the 64-bit SNF4CGP module for Windows.
REM
REM Copyright (c) 2013 ARM Research Corporation
setlocal

TEMP_DIR=CGPSNF-TEMP
MOD_DIR=CGPSNF
MOD_PATH=%TEMP_DIR%\%MOD_DIR%
MOD_ZIPBALL=CGPSNF-MODULE.zip

RMDIR /S /Q %TEMP_DIR%

MKDIR %TEMP_DIR%
MKDIR %MOD_PATH%
MKDIR %MOD_PATH%\hold
MKDIR %MOD_PATH%\Doc

COPY SNF4CGP.exe %MOD_PATH%\CGPSNF.exe
COPY SNFClient.exe %MOD_PATH%
COPY SNF2Check.exe %MOD_PATH%
COPY curl.exe %MOD_PATH%

COPY Scripts\getRulebase.cmd.sample %MOD_PATH%

COPY test_files\*.txt %MOD_PATH%
COPY test_files\cleanmsg.txt %MOD_PATH%

COPY config_files\*.sample %MOD_PATH%

COPY Doc\*.* %MOD_PATH%\Doc

CD %TEMP_DIR%

jzip -p -r ..\%MOD_ZIPBALL% %MOD_DIR%

CD ..

RMDIR /S /Q %TEMP_DIR%
